# SPDX-FileCopyrightText: 2022 Georg-August-Universität Göttingen
#
# SPDX-License-Identifier: CC0-1.0
---
version: "3.5"

services:
  proxy:
    image: docker.io/nginx:1.24
    volumes:
      - type: bind
        source: ./conf/nginx.conf
        target: /etc/nginx/nginx.conf
        read_only: true
    ports:
      - "3000:3000"

  roger:
    image: docker.io/node:18.16
    command: ["npx", "serve", "-s", "build"]
    working_dir: /app
    volumes:
      - type: bind
        source: ./
        target: /app
